آموزش افزونه وردپرس

رفع مشکل کوپن باید با یک محصول فروشنده محدود شود!

اگر افزونه دکان رو نصب کرده باشید، تا حالا با خطای “این کوپن باید با یک محصول فروشنده محدود شود” برخورد کرده‌اید.

این خطا زمانی روی می‌دهد که مدیریت سایت خودش کد تخفیف/کوپن تولید کند. و بعد از وارد کردن کد تخفیف این خطا روی می‌دهد و امکان استفاده وجود ندارد.

تقریباً همه وب‌سایت‌های آموزشی فارسی رو دیدم، اما همه کپی از هم و هیچ کدام چیز جدیدی نداشتند. آموزش این وب‌سایت‌ها به این گونه بود که باید بروید در کدهای افزونه دکان و یک کد رو حذف کنید. اگه افزونه آپدیت بشود دوباره باید بروید و اون کد رو حذف کنید.

اما من می‌خواهم یک فیلتر که نوشتم بهتون بدم و به راحتی این مشکل رو حل کنید و کافیه این کد رو داخل چایلد تم قالب‌تون بزارید. این کد:

add_filter( 'dokan_ensure_vendor_coupon', '__return_false' );

با آپدیت دکان هم، مشکلی نخواهید داشت. با آرزوی سلامتی دوستان عزیزم، موفق باشید.

نوشته‌های مشابه

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

دکمه بازگشت به بالا